package cn.newfeifan.mall.module.distri.service.ptprofit;

import java.util.*;
import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.ptprofit.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.ptprofit.PtProfitDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import cn.newfeifan.mall.module.distri.enums.CaclEnum;

/**
 * 平台利润 Service 接口
 *
 * @author 非繁人
 */
public interface PtProfitService {

    /**
     * 创建平台利润
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPtProfit(@Valid PtProfitSaveReqVO createReqVO);

    /**
     * 更新平台利润
     *
     * @param updateReqVO 更新信息
     */
    void updatePtProfit(@Valid PtProfitSaveReqVO updateReqVO);

    /**
     * 删除平台利润
     *
     * @param id 编号
     */
    void deletePtProfit(Long id);

    /**
     * 获得平台利润
     *
     * @param id 编号
     * @return 平台利润
     */
    PtProfitDO getPtProfit(Long id);

    /**
     * 获得平台利润分页
     *
     * @param pageReqVO 分页查询
     * @return 平台利润分页
     */
    PageResult<PtProfitDO> getPtProfitPage(PtProfitPageReqVO pageReqVO);

    /**
     * 获取当前平台信息
     */
    PtProfitDO getPtProfit();


    void saveBatch(List<PtProfitSaveReqVO> ptProfitSaveReqVOS);


}